Skip to main content
`Ctrl`+`K`

# DMGeneratorFunctionList

Opaque linked-list node used internally to register and dispatch mesh-generator backends (Triangle, Tetgen, p4est, etc.) for `DMPlexGenerate()`

## Synopsis

    typedef struct _n_DMGeneratorFunctionList *DMGeneratorFunctionList;

## See Also

`DM`, `DMPlexGenerate()`, `DMGenerateRegister()`, `DMGenerateRegisterAll()`

## Level

developer

## Location

include/petscdmtypes.h

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages